OpenZWave::Bitfield::Iterator Class Reference

`#include <Bitfield.h>`

## Public Member Functions

uint32 | operator* () const
Iterator & | operator++ ()
Iterator | operator++ (int)
bool | operator== (const Iterator &rhs)
bool | operator!= (const Iterator &rhs)

## Friends

class | Bitfield

## Member Function Documentation

## operator!=()

bool OpenZWave::Bitfield::Iterator::operator!= | ( | const Iterator & | rhs | ) |

inline

## operator*()

uint32 OpenZWave::Bitfield::Iterator::operator* | ( |  | ) | const

inline

## operator++() [1/2]

Iterator& OpenZWave::Bitfield::Iterator::operator++ | ( |  | ) |

inline

## operator++() [2/2]

Iterator OpenZWave::Bitfield::Iterator::operator++ | ( | int |  | ) |

inline

## operator==()

bool OpenZWave::Bitfield::Iterator::operator== | ( | const Iterator & | rhs | ) |

inline

## Friends And Related Function Documentation

## Bitfield

friend class Bitfield

friend

The documentation for this class was generated from the following file:

- Bitfield.h